Package com.android.server.os

# Class LinphoneTombstoneProtos.Cause.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Cause,LinphoneTombstoneProtos.Cause.Builder>
com.android.server.os.LinphoneTombstoneProtos.Cause.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.CauseOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.Cause

public static final class LinphoneTombstoneProtos.Cause.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Cause,LinphoneTombstoneProtos.Cause.Builder> implements LinphoneTombstoneProtos.CauseOrBuilder
Protobuf type `Cause`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Cause.Builder`
`clearDetails()`
`LinphoneTombstoneProtos.Cause.Builder`
`clearHumanReadable()`
`string human_readable = 1;`
`LinphoneTombstoneProtos.Cause.Builder`
`clearMemoryError()`
`.MemoryError memory_error = 2;`
`LinphoneTombstoneProtos.Cause.DetailsCase`
`getDetailsCase()`
`String`
`getHumanReadable()`
`string human_readable = 1;`
`com.google.protobuf.ByteString`
`getHumanReadableBytes()`
`string human_readable = 1;`
`LinphoneTombstoneProtos.MemoryError`
`getMemoryError()`
`.MemoryError memory_error = 2;`
`boolean`
`hasMemoryError()`
`.MemoryError memory_error = 2;`
`LinphoneTombstoneProtos.Cause.Builder`
`mergeMemoryError(LinphoneTombstoneProtos.MemoryError value)`
`.MemoryError memory_error = 2;`
`LinphoneTombstoneProtos.Cause.Builder`
`setHumanReadable(String value)`
`string human_readable = 1;`
`LinphoneTombstoneProtos.Cause.Builder`
`setHumanReadableBytes(com.google.protobuf.ByteString value)`
`string human_readable = 1;`
`LinphoneTombstoneProtos.Cause.Builder`
`setMemoryError(LinphoneTombstoneProtos.MemoryError value)`
`.MemoryError memory_error = 2;`
`LinphoneTombstoneProtos.Cause.Builder`
`setMemoryError(LinphoneTombstoneProtos.MemoryError.Builder builderForValue)`
`.MemoryError memory_error = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getDetailsCase

public LinphoneTombstoneProtos.Cause.DetailsCase getDetailsCase()

Specified by:
  `getDetailsCase` in interface `LinphoneTombstoneProtos.CauseOrBuilder`

### clearDetails

public LinphoneTombstoneProtos.Cause.Builder clearDetails()

### getHumanReadable

public String getHumanReadable()
`string human_readable = 1;`

Specified by:
  `getHumanReadable` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The humanReadable.

### getHumanReadableBytes

public com.google.protobuf.ByteString getHumanReadableBytes()
`string human_readable = 1;`

Specified by:
  `getHumanReadableBytes` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The bytes for humanReadable.

### setHumanReadable

public LinphoneTombstoneProtos.Cause.Builder setHumanReadable(String value)
`string human_readable = 1;`

Parameters:
  `value` - The humanReadable to set.
Returns:
  This builder for chaining.

### clearHumanReadable

public LinphoneTombstoneProtos.Cause.Builder clearHumanReadable()
`string human_readable = 1;`

Returns:
  This builder for chaining.

### setHumanReadableBytes

public LinphoneTombstoneProtos.Cause.Builder setHumanReadableBytes(com.google.protobuf.ByteString value)
`string human_readable = 1;`

Parameters:
  `value` - The bytes for humanReadable to set.
Returns:
  This builder for chaining.

### hasMemoryError

public boolean hasMemoryError()
`.MemoryError memory_error = 2;`

Specified by:
  `hasMemoryError` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  Whether the memoryError field is set.

### getMemoryError

public LinphoneTombstoneProtos.MemoryError getMemoryError()
`.MemoryError memory_error = 2;`

Specified by:
  `getMemoryError` in interface `LinphoneTombstoneProtos.CauseOrBuilder`
Returns:
  The memoryError.

### setMemoryError

public LinphoneTombstoneProtos.Cause.Builder setMemoryError(LinphoneTombstoneProtos.MemoryError value)
`.MemoryError memory_error = 2;`

### setMemoryError

public LinphoneTombstoneProtos.Cause.Builder setMemoryError(LinphoneTombstoneProtos.MemoryError.Builder builderForValue)
`.MemoryError memory_error = 2;`

### mergeMemoryError

public LinphoneTombstoneProtos.Cause.Builder mergeMemoryError(LinphoneTombstoneProtos.MemoryError value)
`.MemoryError memory_error = 2;`

### clearMemoryError

public LinphoneTombstoneProtos.Cause.Builder clearMemoryError()
`.MemoryError memory_error = 2;`